package com.xlht.xlhtproject.service;

import java.util.List;
import com.xlht.xlhtproject.domain.TShuju1;

/**
 * 入库数据_5分钟间隔Service接口
 * 
 * @author slibra
 * @date 2024-09-19
 */
public interface ITShuju1Service 
{
    /**
     * 查询入库数据_5分钟间隔
     * 
     * @param ID 入库数据_5分钟间隔主键
     * @return 入库数据_5分钟间隔
     */
    public TShuju1 selectTShuju1ByID(Long ID);

    /**
     * 查询入库数据_5分钟间隔列表
     * 
     * @param tShuju1 入库数据_5分钟间隔
     * @return 入库数据_5分钟间隔集合
     */
    public List<TShuju1> selectTShuju1List(TShuju1 tShuju1);

    /**
     * 新增入库数据_5分钟间隔
     * 
     * @param tShuju1 入库数据_5分钟间隔
     * @return 结果
     */
    public int insertTShuju1(TShuju1 tShuju1);

    /**
     * 修改入库数据_5分钟间隔
     * 
     * @param tShuju1 入库数据_5分钟间隔
     * @return 结果
     */
    public int updateTShuju1(TShuju1 tShuju1);

    /**
     * 批量删除入库数据_5分钟间隔
     * 
     * @param IDs 需要删除的入库数据_5分钟间隔主键集合
     * @return 结果
     */
    public int deleteTShuju1ByIDs(Long[] IDs);

    /**
     * 删除入库数据_5分钟间隔信息
     * 
     * @param ID 入库数据_5分钟间隔主键
     * @return 结果
     */
    public int deleteTShuju1ByID(Long ID);
}
